人気記事プラグインWordPress Popular Posts 5.20に更新でエラー発生!対処法は?

WordPress Popular Posts v5.20に更新でエラー発生

どうもメーカー営業マン(@makereigyouman)です。

ワードプレスの人気記事プラグイン「WordPress Popular Posts」のバージョンを5.20へ更新したところ以下のようなエラー画面が表示されてしまいました。

更新を促されたのでバージョンアップしたところ、エラー発生!!

これでは折角ブログに足を運んできてくださったユーザー様が記事を閲覧できませんね。

原因はサイトの表示が崩れてしまうことにあるようです。

今回は一時的な対処法となりますが、エラーを対処してみましたので書いておきます。

エラー対処法

対処というか、バージョンを戻すだけなんですけどね。

現時点(2020年7月12日)ではWordPress Popular Postsの公式サイトでバグ報告はないようですのでバージョンを戻すしか方法はありません。

以下、バージョンを戻す手順です。

古いバージョンのプラグインデータをダウンロード

WordPressの管理画面から「プラグイン」→「インストール済プラグイン」ページへ遷移します。

 

プラグイン一覧から、WordPress Popular Postsの「詳細を表示」をクリックします。

 

プラグインの詳細が表示されますので、「WordPress.org プラグインページ」をクリックしてプラグインページを開きます。

 

プラグインページへ移動したら、少しスクロールして「詳細を表示」リンクから更に詳細ページへ移動します。

 

ページ最下部のバージョン選択タブから一つ前のバージョン、5.10を選択してダウンロードします。

プラグインデータがダウンロードされます。
※zipファイルでダウンロードされますが解凍する必要はありません。

「wordpress-popular-posts.5.1.0.zip」というファイルがダウンロードできたはずです。

最新バージョンのプラグインを削除

バージョンを戻す前に更新したプラグインを削除する必要があります。
※削除しないと戻すことが出来ませんのでご注意ください。

WordPressの管理画面から「プラグイン」→「インストール済プラグイン」ページへ移動し、WordPress Popular Posts 5.2を削除します。

このときキャッシュデータ(順位データ)も同時に削除されてしまいます。
一度リセットとなってしまいますが致し方ありませんね。

前バージョンをインストール

WordPressの管理画面から「プラグイン」→「インストール済プラグイン」ページから「新規追加」をクリックします。

 

ページ上部の「プラグインをアップロード」から先程ダウンロードしたプラグインデータ(zipファイル)をアップロードします。

 

先程ダウンロードした「wordpress-popular-posts.5.1.0.zip」を選択して「今すぐインストール」をクリック。

これで前バージョンのプラグインがインストールできました。

 

設定もリセットされてしまうので、以前の設定に戻して完了です。

一時的には前バージョンを使用しての利用をおすすめします。